Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_XT_Resource_Factory Class Reference

TAO's default resource factory. More...

`#include <xt_resource.h>`

Inheritance diagram for TAO_XT_Resource_Factory:

[legend]
Collaboration diagram for TAO_XT_Resource_Factory:

[legend]
List of all members.

## Public Methods
| TAO_XT_Resource_Factory (void)
| Constructor.
## Static Public Methods
void | set_context (XtAppContext context)
| Set the context used to create the XtReactor.
## Protected Methods
virtual ACE_Reactor_Impl * | allocate_reactor_impl (void) const
| Obtain the reactor implementation.
## Static Private Attributes
XtAppContext | context_ = 0

## Detailed Description

TAO's default resource factory.

Using a <{resource source specifier}> as a discriminator, the factory can return resource instances which are, e.g., global, stored in thread-specific storage, stored in shared memory, etc.

## Constructor & Destructor Documentation

ACE_INLINE TAO_XT_Resource_Factory::TAO_XT_Resource_Factory | ( | void |  | ) |

| Constructor.

## Member Function Documentation

ACE_Reactor_Impl * TAO_XT_Resource_Factory::allocate_reactor_impl | ( | void |  | ) | const`[protected, virtual]`

| Obtain the reactor implementation. Reimplemented from TAO_Default_Resource_Factory.

void TAO_XT_Resource_Factory::set_context | ( | XtAppContext | context | ) | `[static]`

| Set the context used to create the XtReactor.

## Member Data Documentation

XtAppContext TAO_XT_Resource_Factory::context_ = 0`[static, private]`

The documentation for this class was generated from the following files:

- xt_resource.h
- xt_resource.cpp
- xt_resource.i